Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.build.xml
Class XMLParser

    java.lang.Object
      org.basex.build.Parser
          org.basex.build.xml.XMLParser

    public final class XMLParser

extends Parser

This class parses the tokens that are delivered by the `XMLScanner` and sends them to the specified database builder.

Author:
  Workgroup DBIS, University of Konstanz 2005-09, ISC License, Christian Gruen

Field Summary

Fields inherited from class org.basex.build.Parser
`doc, io`

Constructor Summary
`XMLParser(IO f)` Constructor.

Method Summary
`java.lang.String` | `det()` Returns detailed progress information.
`java.lang.String` | `head()` Returns a compact description of the current progress.
`void` | `parse(Builder build)` Parses all nodes and sends events to the specified builder.
`double` | `prog()` Returns a value from 0 to 1, representing the current progress.

Methods inherited from class org.basex.build.Parser
`getXMLParser`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLParser

    public XMLParser(IO f)
              throws java.io.IOException

  Constructor.

  Parameters:
    `f` - file reference
  Throws:
    `java.io.IOException` - I/O Exception

Method Detail

### parse

    public void parse(Builder build)
               throws java.io.IOException

  Description copied from class: `Parser`
  Parses all nodes and sends events to the specified builder.

  Specified by:
    `parse` in class `Parser`
  Parameters:
    `build` - event listener.
  Throws:
    `java.io.IOException` - I/O exception

### head

    public java.lang.String head()

  Description copied from class: `Parser`
  Returns a compact description of the current progress.

  Overrides:
    `head` in class `Parser`
  Returns:
    progress information

### det

    public java.lang.String det()

  Description copied from class: `Parser`
  Returns detailed progress information.

  Overrides:
    `det` in class `Parser`
  Returns:
    position info

### prog

    public double prog()

  Description copied from class: `Parser`
  Returns a value from 0 to 1, representing the current progress.

  Overrides:
    `prog` in class `Parser`
  Returns:
    progress information

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD